Anti-VPN (Bungee) 5.11.37

Get the best; save money on overpriced plugins and block VPN users!

  1. leopatik
    leopatik
    1/5,
    Version: 5.11.37
    [WARNING] Error enabling plugin AntiVPN
    java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
    at java.lang.reflect.Constructor.newInstance(Constructor.java:423)
    at net.md_5.bungee.api.plugin.PluginManager.enablePlugin(PluginManager.java:328)
    at net.md_5.bungee.api.plugin.PluginManager.loadPlugins(PluginManager.java:235)
    at net.md_5.bungee.BungeeCord.start(BungeeCord.java:272)
    at net.md_5.bungee.BungeeCordLauncher.main(BungeeCordLauncher.java:62)
    at net.md_5.bungee.Bootstrap.main(Bootstrap.java:15)
    Caused by: java.lang.LinkageError: loader constraint violation: when resolving method "org.slf4j.impl.StaticLoggerBinder.getLoggerFactory()Lorg/slf4j/ILoggerFactory;" the class loader (instance of net/md_5/bungee/api/plugin/PluginClassloader) of the current class, org/slf4j/LoggerFactory, and the class loader (instance of net/md_5/bungee/api/plugin/PluginClassloader) for the method's defining class, org/slf4j/impl/StaticLoggerBinder, have different Class objects for the type org/slf4j/ILoggerFactory used in the signature
    at org.slf4j.LoggerFactory.getILoggerFactory(LoggerFactory.java:418)
    at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:357)
    at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:383)
    at me.egg82.antivpn.BungeeBootstrap.<init>(BungeeBootstrap.java:29)
    ... 9 more
  2. __Vekster007__
    __Vekster007__
    4/5,
    Version: 5.11.37
    Just great, but there are false positives (as % of new players on my server understands)!
  3. Explosivee
    Explosivee
    5/5,
    Version: 5.11.37
    Really good plugin, i've been using it for some time now. Thanks for your work, keep updating :)
  4. Index12YT
    Index12YT
    5/5,
    Version: 5.11.37
    this happens to me on the bungeecord server WARNING] Error enabling AntiVPN plugin
    java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0 (Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessorImpl.java:62)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessorImpl.java:45)
    at java.lang.reflect.Constructor.newInstance (Constructor.java:423)
    at net.md_5.bungee.api.plugin.PluginManager.enablePlugin (PluginManager.java:328)
    at net.md_5.bungee.api.plugin.PluginManager.loadPlugins (PluginManager.java:235)
    at net.md_5.bungee.BungeeCord.start (BungeeCord.java:272)
    at net.md_5.bungee.BungeeCordLauncher.main (BungeeCordLauncher.java:62)
    at net.md_5.bungee.Bootstrap.main (Bootstrap.java:15)
    Caused by: java.lang.LinkageError: loader constraint violation: when resolving method "org.slf4j.impl.StaticLoggerBinder.getLoggerFactory () Lorg / slf4j / ILoggerFactory;" the class loader (instance of net / md_5 / bungee / api / plugin / PluginClassloader) of the current class, org / slf4j / LoggerFactory, and the class loader (instance of net / md_5 / bungee / api / plugin / PluginClassloader) for the method's defining class, org / slf4j / impl / StaticLoggerBinder, have different Class objects for the type org / slf4j / ILoggerFactory used in the signature
    at org.slf4j.LoggerFactory.getILoggerFactory (LoggerFactory.java:418)
    at org.slf4j.LoggerFactory.getLogger (LoggerFactory.java:357)
    at org.slf4j.LoggerFactory.getLogger (LoggerFactory.java:383)
    at me.egg82.antivpn.BungeeBootstrap. <init> (BungeeBootstrap.java:29)
  5. Kylo_renZockt
    Kylo_renZockt
    5/5,
    Version: 5.11.37
    This is a really good plugin i just recommend it event with mcleaks portection. This is the only best resorce on the market. Just one question is there a possibility the block TheAltening, i know there a big alt gen but still 5555555 Stars
  6. andrewkm
    andrewkm
    5/5,
    Version: 5.11.37
    An absolutely amazing and wonderful solution for VPNs! A very well made professional plugin with dozens of configuration options. Thank you so much for this! PS: How is this free! Easily worth premium dollars for such a great AntiVPN management solution.
  7. VermiumSifell
    VermiumSifell
    5/5,
    Version: 5.11.37
    WOW! This is so freaking good! And many sources for checking VPNS from this is amazing i hope everybody like it like me!
    1. egg82
      Author's Response
      Thank you for the review!
  8. coolroi
    coolroi
    5/5,
    Version: 5.9.32
    a very good plugin and a developer who responds very quickly!

    Un très bon plugin indispensable !
    1. egg82
      Author's Response
      Thanks for the review!
  9. MelaniumAS
    MelaniumAS
    5/5,
    Version: 4.9.31
    ---------------------------------------------

    WATERFALL SOPORT PLEASE
    NICE PLUGIN BUNGEECORD.

    ---------------------------------------------
    1. egg82
      Author's Response
      This plugin should support Waterfall just fine :)
      Thanks for the review!
  10. __Vekster007__
    __Vekster007__
    5/5,
    Version: 4.9.31
    Just great!
    Need to write at least 80 characters in the feedback on the SpigotMC website, I have just no more words!
    [I don't know much English, I used a translator.]
    1. egg82
      Author's Response
      Thank you for the review!
  11. Chissey
    Chissey
    5/5,
    Version: 4.9.31
    Works great, no configuration needed whatsoever. Efficiently and accurately prevents players using a VPN from joining any server.
    1. egg82
      Author's Response
      Thank you for the review!
  12. PhoebePower
    PhoebePower
    5/5,
    Version: 4.8.30
    Great plugin, Honestly with it on our server i feel way more protected than without it!
    1. egg82
      Author's Response
      Thanks for the review!
  13. Amanso25
    Amanso25
    5/5,
    Version: 3.5.22
    Great anti-vpn, works fine.
    1. egg82
  14. yazan
    yazan
    5/5,
    Version: 3.5.22
    I love it, you have done a very good job with this man. I really appreciate the effort that you have put into this legendary plugin!
    1. egg82
      Author's Response
      Thank you for the review!
  15. Valentina_pro
    Valentina_pro
    5/5,
    Version: 3.5.22
    Plug and Play easy anti-proxy solution. Really like how this is complete in every aspect and... it just works! Very well done
    1. egg82
      Author's Response
      Thank you very much for the review!
  16. zach_attack
    zach_attack
    5/5,
    Version: 3.5.21
    This resource is absolutely amazing and a MUST HAVE for any server. The developer is also dedicated to this plugin and will do anything to make it work under any circumstance. The author is so absolutely extra, and the resource is updated on the daily.
    1. egg82
      Author's Response
      Thank you very much for the review!
  17. sandor_1234
    sandor_1234
    5/5,
    Version: 3.5.20
    “Get the best; save money on overpriced plugins and block VPN users!”
    Does exactly what it’s supposed to do + very well worked out / developed.
    1. egg82
      Author's Response
      Thanks for the review!
  18. IsThatToasted
    IsThatToasted
    4/5,
    Version: 3.5.16
    Installed and functioning as far as I'm aware on on my 1.12.2 server. Did an avpn check on an alt running tunnelbear and it did detect a proxy so all is well. Going to fully test when I have time this evening and re-establish my review from that point on. Otherwise the only complaint is that it's not automated in any way. If there was a way to implement an execute on player join for the check feature that would be ideal, for me at least. Thanks for the great plugin! Will update within 3 hours or so.
    1. egg82
      Author's Response
      Thanks for the review! Let me know if anything isn't working as expected. The "automation" part of the plugin is to, by default, kick players using a VPN or proxy with a message defined in the config.
  19. PurrfectMistake_
    PurrfectMistake_
    4/5,
    Version: 2.1.10
    Haven't tested it, but i've got it all configured. Overall well developed, plugin loads fine. Keep up the great work.
    1. egg82
      Author's Response
      Thanks for your review!
  20. ErikkgamerX
    ErikkgamerX
    5/5,
    Version: 2.1.10
    ---------------------------------------------------------------------------------
    Thanksfor creating this awseome plugin :D Good Job :D
    ---------------------------------------------------------------------------------
    1. egg82
      Author's Response
      Thank you for the review!